#!/bin/bash

all_count=0
fail_count=0

test_pro() {

for name in `find $QTTESTDIR | grep "\.pr[oi]$"`
do
    all_count=$(($all_count + 1))
    if ../bin/qmakerunner $name 2&> /dev/null; then
        echo "$name: done"
    else
        echo "$name: fail"
        fail_count=$(($fail_count + 1))
    fi
done

}

QTTESTDIR="/develop/kde/qt-copy/src/"
test_pro
QTTESTDIR="/develop/qt4/"
test_pro

echo ""
echo "number of tests: $all_count"
echo "number of tests failed: $fail_count"
